package com.example.dtf.repositories

import com.example.dtf.dao.CategoryDao
import com.example.dtf.models.Category
import javax.inject.Inject

class CategoryRepository @Inject constructor(
    private val categoryDao: CategoryDao
) {
    suspend fun insert(category: Category) = categoryDao.insert(category)

    suspend fun update(category: Category) = categoryDao.update(category)

    suspend fun delete(category: Category) = categoryDao.delete(category)

    fun getAll() = categoryDao.getAll()

    fun getById(id: Int) = categoryDao.getById(id)
}