package com.example.dtf.repositories

import com.example.dtf.dao.LikeDao
import com.example.dtf.models.Like
import javax.inject.Inject

class LikeRepository @Inject constructor(
    private val likeDao: LikeDao
) {
    suspend fun insert(like: Like) = likeDao.insert(like)

    suspend fun delete(like: Like) = likeDao.delete(like)

    fun countByPost(postId: Int) = likeDao.countByPost(postId)

    fun isLikedByUser(userId: Int, postId: Int) = likeDao.isLikedByUser(userId, postId)
}